testing::TestEventListeners Class Reference

`#include <gtest.h>`

## Public Member Functions

| TestEventListeners ()
| ~TestEventListeners ()
void | Append (TestEventListener *listener)
TestEventListener * | Release (TestEventListener *listener)
TestEventListener * | default_result_printer () const
TestEventListener * | default_xml_generator () const

## Friends

class | TestSuite
class | TestInfo
class | internal::DefaultGlobalTestPartResultReporter
class | internal::NoExecDeathTest
class | internal::TestEventListenersAccessor
class | internal::UnitTestImpl

## Detailed Description

Definition at line 15763 of file gtest.h.

## Constructor & Destructor Documentation

## TestEventListeners()

testing::TestEventListeners::TestEventListeners | ( |  | ) |

## ~TestEventListeners()

testing::TestEventListeners::~TestEventListeners | ( |  | ) |

## Member Function Documentation

## Append()

void testing::TestEventListeners::Append | ( | TestEventListener * | listener | ) |

## default_result_printer()

TestEventListener* testing::TestEventListeners::default_result_printer | ( |  | ) | const

inline

Definition at line 15783 of file gtest.h.

## default_xml_generator()

TestEventListener* testing::TestEventListeners::default_xml_generator | ( |  | ) | const

inline

Definition at line 15794 of file gtest.h.

## Release()

TestEventListener* testing::TestEventListeners::Release | ( | TestEventListener * | listener | ) |

## Friends And Related Function Documentation

## internal::DefaultGlobalTestPartResultReporter

friend class internal::DefaultGlobalTestPartResultReporter

friend

Definition at line 15801 of file gtest.h.

## internal::NoExecDeathTest

friend class internal::NoExecDeathTest

friend

Definition at line 15802 of file gtest.h.

## internal::TestEventListenersAccessor

friend class internal::TestEventListenersAccessor

friend

Definition at line 15803 of file gtest.h.

## internal::UnitTestImpl

friend class internal::UnitTestImpl

friend

Definition at line 15804 of file gtest.h.

## TestInfo

friend class TestInfo

friend

Definition at line 15800 of file gtest.h.

## TestSuite

friend class TestSuite

friend

Definition at line 15799 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h